Subject: Re: cygwin patches integrating back into standard gnu
From: Robert Collins <[email-masked]>
To: cwilson <[email-masked]>
Cc: [email-masked]
Date: Sat, 08 Nov 2003 15:59:26 +1100

On Sat, 2003-11-08 at 14:28, cwilson wrote:

> > It'd probably be wise to integrate this with setup.exe so you would 
> > have the option to install packages in a non-standard place. 
> 
> Oh god no.  "Click here to automatically fsck-up all the binaries I just 
> installed"  THAT's a GREAT idea!  I nominate you to support that nightmare.

No need for anyone to support it -  it ain't going in setup, no how, no
way. Someone wants a non-standard location, they roll their own binary.
Finito. 

> But they didn't really pursue this too strongly -- instead, they focused 
> on attempting to make the transition smooth ('autoupdate', etc).  They 
> ignored the network-stasis effects (essentially, a classic 'deadlock' 
> problem: you first, no you first...)

Yes, and IMO a nutso one. Coexistence is more important than smooth
transition in the absence of a dictator forcing concurrent upgrades.

Rob

-- 
GPG key available at: <http://members.aardvark.net.au/lifeless/keys.txt>.